# -*- encoding: utf-8 -*-

from django.urls import path
from django.contrib.auth.views import LogoutView

from .views import DiscordLoginAction, DiscordLoginRedirect, Login, GuildsView, GuildChannelsView, SaveGuildView


urlpatterns = [
    path("login/", Login.as_view(), name="login"),
    path("oauth2/login/", DiscordLoginAction.as_view(), name="discord-login"),
    path("oauth2/login/redirect/", DiscordLoginRedirect.as_view(), name="discord-login-redirect"),
    path("logout/", LogoutView.as_view(), name="logout"),

    path("guilds/", GuildsView.as_view(), name="guilds"),
    path("channels/", GuildChannelsView.as_view(), name="channels"),
    path("save-guild/", SaveGuildView.as_view(), name="save-guild")
    
]
